# Interface ReadableStreamDefaultReader<R>

interface ReadableStreamDefaultReader<R> {
closed: Promise<undefined>;
cancel(reason?): Promise<void>;
read(): Promise<ReadableStreamDefaultReadResult<R>>;
releaseLock(): void;
}

#### Type Parameters

- R = any

#### Hierarchy (view full)

- ReadableStreamGenericReader
  - ReadableStreamDefaultReader

- Defined in node_modules/@types/node/stream/web.d.ts:163
- Defined in node_modules/@types/node/stream/web.d.ts:171

#####
Index

### Properties

closed

### Methods

cancel
read
releaseLock

## Properties

### `Readonly` closed

closed: Promise<undefined>

Inherited from ReadableStreamGenericReader.closed

- Defined in node_modules/@types/node/stream/web.d.ts:65

## Methods

### cancel

- cancel(reason?): Promise<void>

- #### Parameters

  - `Optional` reason: any

  #### Returns Promise<void>

  Inherited from ReadableStreamGenericReader.cancel

  - Defined in node_modules/@types/node/stream/web.d.ts:66

### read

- read(): Promise<ReadableStreamDefaultReadResult<R>>

- #### Returns Promise<ReadableStreamDefaultReadResult<R>>

  - Defined in node_modules/@types/node/stream/web.d.ts:164

### releaseLock

- releaseLock(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:165